Bug 230744 - character/fonts and check boxes not clear during vnc install
Summary: character/fonts and check boxes not clear during vnc install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 17:00 UTC by ericm24x7
Modified: 2013-04-30 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 15:20:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vncserver log (1.20 KB, application/octet-stream)
2007-03-02 17:00 UTC, ericm24x7
no flags Details
anaconda log (181.81 KB, application/octet-stream)
2007-03-02 17:02 UTC, ericm24x7
no flags Details
syslog (19.59 KB, application/octet-stream)
2007-03-02 17:02 UTC, ericm24x7
no flags Details
anaconda log (33.75 KB, text/plain)
2007-03-07 05:01 UTC, ericm24x7
no flags Details

Description ericm24x7 2007-03-02 17:00:38 UTC
Description of problem:
during vnc install the all check box fields are not being displayed properly,
oftentimes the background within the supposedly blank box fields are displayed
with dark color. some character texts also are displayed some strang color
rather than in solid black. 

Version-Release number of selected component (if applicable):
vnc-4.1.2-13.fc7.x86_64
vnc-server-4.1.2-13.fc7.x86_64

How reproducible:
persistent

Steps to Reproduce:
1. select vnc install during boot up. 
2. below is a sample kickstart file:
     vnc --passwd install
     url --url http://192.168.3.102/a/fed/tst/x86_64/os
     network --device eth0 --bootproto dhcp --hostname fiji3
     lang en_US
     keyboard us
     rootpw install
     timezone America/New_York
3. Once the vncserver start and revealed the IP addresss to connect,
   startup the remote viewer (assumed IP= 192.168.3.27:1) i.e.
     vncviewer 192.168.3.27:1
   once the viewer windows start, take note of the character/fonts
   and selection box fields.
  
Actual results:
selection box fields displaying incorrectly and some character
displaying some colors instead of solid black.

Expected results:


Additional info:
attached files: syslog, anaconda.log, vncserver.log

Comment 1 ericm24x7 2007-03-02 17:00:38 UTC
Created attachment 149130 [details]
vncserver log

Comment 2 ericm24x7 2007-03-02 17:02:00 UTC
Created attachment 149131 [details]
anaconda log

Comment 3 ericm24x7 2007-03-02 17:02:34 UTC
Created attachment 149132 [details]
syslog

Comment 4 Adam Tkac 2007-03-05 15:15:58 UTC
I've improved vnc-always_use_fb patch so this could be fixed in next test
release (test3, vnc-*4.1.2-15.fc7). Could you tell me if is problem solved?

Regards, Adam

Comment 5 ericm24x7 2007-03-07 05:01:54 UTC
Created attachment 149427 [details]
anaconda log

Comment 6 ericm24x7 2007-03-07 05:03:49 UTC
I think it looks better now. I'm getting the following messages on console:

Starting graphical installation...
Couldn't interpret _XKB_RULES_NAMES property
Use defaults: rules - 'xorg' model - 'pc101' layout - 'us'

I'm not sure messages are expected or not.

And below are from vncserver.log:

Could not init font path element unix/:7100, removing from list!
BOGUS LENGTH in write keyboard desc, expected 4740, got 4744

Lastly, quite abit of the following WARNING message in anaconda.log:

22:57:36 WARNING : /usr/lib/anaconda/gui.py:1212: GtkWarning: Error loading
theme icon for stock: Image file
'/usr/share/icons/Echo/24x24/actions/gtk-go-back-ltr.png' contains no data
  domain="anaconda")

More in the attached file.

id=149427

Comment 7 Adam Tkac 2007-03-09 11:25:04 UTC
(In reply to comment #6)
> Starting graphical installation...
> Couldn't interpret _XKB_RULES_NAMES property
I'm going to do some investigations about this message

> And below are from vncserver.log:
> 
> Could not init font path element unix/:7100, removing from list!
Standard message. Xvnc has querry of fonts and if one font doesn't exist Xvnc
prints this message and probe next font
> BOGUS LENGTH in write keyboard desc, expected 4740, got 4744
Needs my investigation
> 
> Lastly, quite abit of the following WARNING message in anaconda.log:
> 
> 22:57:36 WARNING : /usr/lib/anaconda/gui.py:1212: GtkWarning: Error loading
> theme icon for stock: Image file
> '/usr/share/icons/Echo/24x24/actions/gtk-go-back-ltr.png' contains no data
>   domain="anaconda")
Many images is broken in rawhide so this isn't vnc problem...

Adam

Comment 8 Matthew Miller 2007-04-10 16:35:32 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 9 Adam Tkac 2007-04-11 15:20:21 UTC
Messages discused upper doesn't matter.

-A-


Note You need to log in before you can comment on or make changes to this bug.